Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512328 - "upgrade of redhat-lsb'*' requires /bin/ed but newer ed packages now provides /usr/bin/ed
Summary: "upgrade of redhat-lsb'*' requires /bin/ed but newer ed packages now provides...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-12 20:01 UTC by George R. Goffe
Modified: 2017-11-23 19:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 07:22:37 UTC


Attachments (Terms of Use)
flat file containing the output of various commands. (deleted)
2017-11-12 20:01 UTC, George R. Goffe
no flags Details
tar.gz of debugdata provided by dnf parameter "debugsolver" (deleted)
2017-11-12 20:02 UTC, George R. Goffe
no flags Details

Description George R. Goffe 2017-11-12 20:01:15 UTC
Created attachment 1351296 [details]
flat file containing the output of various commands.

Description of problem:
attempting to upgrade this system with "dnf -y --best --skip-broken --debugsolve upgrade" fails with "/bin/ed" required but "/bin/ed" IS installed. rpm -q ed says so. which ed says so. rebuilddb does NOT change the behavior of this process.

Version-Release number of selected component (if applicable):

see below

How reproducible:

apparently always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

fc27-bash 4.4 ~# dnf reinstall redhat-lsb'*'
Last metadata expiration check: 0:19:44 ago on Sun 12 Nov 2017 11:39:20 AM PST.
Installed package redhat-lsb-4.1-37.fc28.x86_64 (from rawhide) not available.
Installed package redhat-lsb-core-4.1-37.fc28.x86_64 (from rawhide) not available.
Installed package redhat-lsb-cxx-4.1-37.fc28.x86_64 (from rawhide) not available.
Installed package redhat-lsb-desktop-4.1-37.fc28.x86_64 (from rawhide) not available.
Installed package redhat-lsb-languages-4.1-37.fc28.x86_64 (from rawhide) not available.
Installed package redhat-lsb-printing-4.1-37.fc28.x86_64 (from rawhide) not available.
Error: No packages marked for reinstall.
fc27-bash 4.4 ~# dnf reinstall redhat-lsb
Last metadata expiration check: 0:19:59 ago on Sun 12 Nov 2017 11:39:20 AM PST.
Installed package redhat-lsb-4.1-37.fc28.x86_64 (from rawhide) not available.
Error: No packages marked for reinstall.

Comment 1 George R. Goffe 2017-11-12 20:02:51 UTC
Created attachment 1351297 [details]
tar.gz of debugdata provided by dnf parameter "debugsolver"

Comment 2 dereckson 2017-11-13 17:55:46 UTC
So former ed rpm packages provided /bin/ed:

$ rpm -qpl ~/Downloads/ed-1.14.1-2.fc26.x86_64.rpm 
/bin/ed
/bin/red
…

Newer rpm packages provides usr/bin/ed instead:

$ rpm -ql ed
/usr/bin/ed
/usr/bin/red

Note the mere fact a file is installed doesn't mean it satisfies package dependencies, a package must be registered as having provided it.

Comment 3 dereckson 2017-11-13 17:58:30 UTC
I'd suggest to rename the title to "upgrade of redhat-lsb'*' requires /bin/ed but newer ed packages now provides /usr/bin/ed".

Comment 4 dereckson 2017-11-13 18:05:37 UTC
And finally, this bug could be a dplucate of https://bugzilla.redhat.com/show_bug.cgi?id=1512215.

Comment 5 George R. Goffe 2017-11-13 19:34:39 UTC
Hi,

On my system /bin is a link to /usr/bin. This suggests to me that the requirement needs to be altered some so that redhat-lsb isn't confused.

Do I need to do anything to resolve this problem or provide more information?

George...

Comment 6 Ondrej Vasik 2017-11-20 07:22:37 UTC
Fixed in Rawhide, glitch in mass change in requirements done by Igor Gnatenko.

Comment 7 George R. Goffe 2017-11-22 22:11:58 UTC
Ondrej,

Apparently there are other glitches in requirements. I just got these messages. VERY similar problem as this one I think.

 Problem 1: cannot install the best update candidate for package nagios-plugins-log-2.2.1-2git.fc27.x86_64
  - nothing provides /usr/bin/egrep needed by nagios-plugins-log-2.2.1-8.fc28.x86_64
 Problem 2: cannot install the best update candidate for package nagios-plugins-ping-2.2.1-2git.fc27.x86_64
  - nothing provides /usr/bin/ping6 needed by nagios-plugins-ping-2.2.1-8.fc28.x86_64
 Problem 3: cannot install the best update candidate for package nagios-plugins-sensors-2.2.1-2git.fc27.x86_64
  - nothing provides /usr/bin/egrep needed by nagios-plugins-sensors-2.2.1-8.fc28.x86_64

George...

Comment 8 dereckson 2017-11-23 19:46:41 UTC
That's indeed similar but that's an issue with the nagios-plugins-{log,ping,sensors} packages, not the redhat-lsb* ones.


Note You need to log in before you can comment on or make changes to this bug.